Package org.flowable.engine.migration

# Interface ActivityMigrationMappingOptions<T extends ActivityMigrationMapping>

All Known Subinterfaces:
  `ActivityMigrationMappingOptions.MultipleToActivityOptions<T>`, `ActivityMigrationMappingOptions.SingleToActivityOptions<T>`

All Known Implementing Classes:
  `ActivityMigrationMapping.ManyToOneMapping`, `ActivityMigrationMapping.OneToManyMapping`, `ActivityMigrationMapping.OneToOneMapping`

public interface ActivityMigrationMappingOptions<T extends ActivityMigrationMapping>

Author:
  Dennis

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `ActivityMigrationMappingOptions.MultipleToActivityOptions<T extends ActivityMigrationMapping>`
  `static interface`
  `ActivityMigrationMappingOptions.SingleToActivityOptions<T extends ActivityMigrationMapping>`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getCallActivityProcessDefinitionVersion()`
  `String`
  `getFromCallActivityId()`
  `String`
  `getToCallActivityId()`
  `T`
  `inParentProcessOfCallActivityId(String callActivityId)`
  `T`
  `inSubProcessOfCallActivityId(String callActivityId)`
  `T`
  `inSubProcessOfCallActivityId(String callActivityId, int subProcessDefVersion)`
  `boolean`
  `isToCallActivity()`
  `boolean`
  `isToParentProcess()`

- ## Method Details

  - ### inParentProcessOfCallActivityId

    T inParentProcessOfCallActivityId(String callActivityId)

  - ### getFromCallActivityId

    String getFromCallActivityId()

  - ### isToParentProcess

    boolean isToParentProcess()

  - ### inSubProcessOfCallActivityId

    T inSubProcessOfCallActivityId(String callActivityId)

  - ### inSubProcessOfCallActivityId

    T inSubProcessOfCallActivityId(String callActivityId, int subProcessDefVersion)

  - ### getToCallActivityId

    String getToCallActivityId()

  - ### getCallActivityProcessDefinitionVersion

    Integer getCallActivityProcessDefinitionVersion()

  - ### isToCallActivity

    boolean isToCallActivity()